@charset "UTF-8";

@font-face {
    font-family: 'EuroPlate';
    src: url('../assets/fonts/licenseplate/europlate-regular.woff2') format('woff2');
}

:root {
    --transitionTime: 0.25s;
}
/**
 * Numberplate
 */
.numberplate {
    position: relative;
    font-family: 'EuroPlate', serif !important;
}
.numberplate .numberplate-wrapper input {
    font-family: 'EuroPlate', serif !important;

    border-width: 1px;
    border-radius: 0;
    padding: 0 0;
    font-size: 1rem;
    line-height: 1.5rem;
}
.numberplate .numberplate-wrapper .numberplate-sticker {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.numberplate .numberplate-wrapper .numberplate-sticker.at {
    margin-left: 1em;
    margin-right: 1em;
}
.numberplate
    .numberplate-wrapper
    .numberplate-sticker.sticker-preview
    .sticker-1,
.numberplate
    .numberplate-wrapper
    .numberplate-sticker.sticker-preview
    .sticker-2 {
    filter: grayscale(1) opacity(0.7);
}
.numberplate .numberplate-wrapper .numberplate-sticker .sticker-1 {
    display: block;
    width: 2.3em;
    height: 2.3em;
    border: 0.2em solid #a3a3a3;
    border-radius: 50%;
    transition:
        background-image 0.2s,
        filter 0.2s;
    background: #ffffff;
}
.numberplate .numberplate-wrapper .numberplate-sticker .sticker-1.plakette {
    border: none;
    background: #ffffff no-repeat 0 0 / contain;
}
.numberplate
    .numberplate-wrapper
    .numberplate-sticker
    .sticker-1.soft-mode-enabled {
    background-image: none !important;
    background: #e8e8e8 no-repeat 0 0 / contain;
    border: 0.2em solid #c1c1c1;
}
.numberplate .numberplate-wrapper .numberplate-sticker .sticker-2 {
    display: block;
    background: #e8e8e8;
    width: 3em;
    height: 3em;
    border: 0.2em solid #a3a3a3;
    border-radius: 50%;
    margin: 0.75em 0 0 0;
    transition:
        background-image 0.2s,
        filter 0.2s;
}
/*.numberplate .numberplate-wrapper .numberplate-sticker.at .sticker-2 {*/
/*    width: 5em;*/
/*    height: 5em;*/
/*}*/
.numberplate .numberplate-wrapper .numberplate-sticker .sticker-2.wappen {
    border: none;
    background: #e8e8e8 no-repeat 0 0 / contain;
}
.numberplate
    .numberplate-wrapper
    .numberplate-sticker
    .sticker-2.soft-mode-enabled {
    background-image: none !important;
    border: 0.2em solid #c1c1c1;
}
.numberplate .numberplate-wrapper .numberplate-text {
    color: #000;
    flex: 0 0 auto;
    font: 8em 'EuroPlate';
    text-align: center;
    text-transform: uppercase;
    transition: font var(--transitionTime) ease;
    margin: 0 0.1em 0 0;
}
.numberplate .numberplate-wrapper .numberplate-text .numberplate-type {
    float: left;
}
.numberplate .numberplate-wrapper .numberplate-text .numberplate-type-seasonal {
    float: right;
}
.numberplate .numberplate-wrapper .numberplate-text span {
    display: block;
    font: 0.4em/0.6em 'EuroPlate';
    margin: 0 0.15em;
    padding: 0.3em 0;
}
.numberplate .numberplate-wrapper .numberplate-text span.error {
    color: #a52019;
}
.numberplate .numberplate-wrapper .numberplate-text span:first-child {
    border-bottom: 0.1em solid #000;
    margin-bottom: 0.05em;
}
.numberplate .district-select {
    font-size: 11px;
    background-size: auto 10.4em;
    border: 0.3em solid #ffffff;
    border-radius: 1.25em;
    box-shadow: 0 0.15em 0.6em 0 rgba(0, 0, 0, 0.5);
    transition:
        background 0.2s ease,
        box-shadow 0.2s ease,
        border 0.2s ease,
        height 0.2s ease,
        width 0.2s ease;
    display: table;
    width: 100%;
    margin: 15px auto 0;
    visibility: hidden;
    background-color: white;
    border-spacing: 0.8em;
}
.numberplate .district-select::before {
    content: 'Zuständige Zulassungsstelle wählen';
    font-size: 20px;
    font-weight: bold;
}
.numberplate .district-select .district-wrapper {
    display: table-row;
}

.numberplate label,
.numberplate .error-messages-label {
    background: #ffcc00;
    border-radius: 0.2em;
    box-shadow: 0 0.1em 0.3em 0 rgba(0, 0, 0, 0.25);
    color: #000;
    visibility: hidden;
    opacity: 0;
    left: 50%;
    padding: 0.7em 0.4em;
    position: absolute;
    text-align: center;
    text-transform: uppercase;
    top: 107%;
    transform: translateX(-50%);
    width: 11em;
    transition:
        opacity 0.2s ease,
        visibility 0.2s ease;
}
.numberplate label::before,
.numberplate .error-messages-label::before {
    background: #ffcc00;
    box-shadow: 0 0.1em 0.3em 0 rgba(0, 0, 0, 0.25);
    content: '';
    display: block;
    height: 1em;
    left: 50%;
    position: absolute;
    top: 0;
    transform: translateX(-50%) translateY(-50%) rotate(-45deg);
    width: 1em;
}
.numberplate label::after,
.numberplate .error-messages-label::after {
    background: #ffcc00;
    content: '';
    display: block;
    height: 0.9em;
    left: 50%;
    position: absolute;
    top: 0;
    transform: translateX(-50%);
    width: 2em;
}
.numberplate label small,
.numberplate .error-messages-label small {
    display: block;
}
.numberplate label.error-messages-label,
.numberplate .error-messages-label.error-messages-label {
    background: #bc0000;
    color: #ffffff;
    width: 100%;
    left: unset;
    top: unset;
    margin-top: 1em;
    transform: unset;
    position: relative;
}
.numberplate label.error-messages-label span,
.numberplate .error-messages-label.error-messages-label span {
    display: inline-block;
}
.numberplate label.error-messages-label::before,
.numberplate label.error-messages-label::after,
.numberplate .error-messages-label.error-messages-label::before,
.numberplate .error-messages-label.error-messages-label::after {
    background: #bc0000;
}
.numberplate label.error-messages-label.active,
.numberplate .error-messages-label.error-messages-label.active {
    visibility: visible;
    opacity: 1;
}
.numberplate label.error-messages-label.warning,
.numberplate .error-messages-label.error-messages-label.warning {
    background: #ffa000;
    color: #000;
}
.numberplate label.error-messages-label.warning::before,
.numberplate label.error-messages-label.warning::after,
.numberplate .error-messages-label.error-messages-label.warning::before,
.numberplate .error-messages-label.error-messages-label.warning::after {
    background: #ffa000;
}

/**
 * Numberplate
 */
.numberplate {
    font-size: 11px;
    background: #fff url(../assets/licenceplates/at.svg) no-repeat 0.3em 0;
    background-size: auto 10.4em;
    border: 0.3em solid #ffffff;
    border-radius: 1.25em;
    box-shadow: 0 0.15em 0.6em 0 rgba(0, 0, 0, 0.5);
    height: 11em;
    width: 50em;
    margin: 0 auto;
    transition:
        background var(--transitionTime) ease,
        box-shadow var(--transitionTime) ease,
        border var(--transitionTime) ease,
        height var(--transitionTime) ease,
        width var(--transitionTime) ease;
}

.numberplate.custom {
    background: #fff no-repeat 0.3em 0 !important;
    background-size: auto 10.4em !important;
}

.numberplate.de {
    background: #fff url(../assets/licenceplates/de.svg) no-repeat 0.3em 0 !important;
    background-size: auto 10.4em !important;
}

.numberplate.at {
    background: #fff url(../assets/licenceplates/at.svg) no-repeat 0.3em 0 !important;
    background-size: auto 10.4em !important;
}

.numberplate.lu {
    background: #f5db00 url(../assets/licenceplates/lu.svg) no-repeat 0.3em 0 !important;
    background-size: auto 10.4em !important;
}

.numberplate:hover {
    box-shadow: 0 0.3em 1.2em 0 rgba(0, 0, 0, 0.5);
}
.numberplate.emission-sticker {
    box-shadow: 0 0.2em 0.5em 0 rgba(0, 0, 0, 0.3);
}
.numberplate.emission-sticker:hover {
    box-shadow: 0 0.4em 0.8em 0 rgba(0, 0, 0, 0.3);
}
.numberplate .numberplate-wrapper {
    padding: 0 0.6em 0 5.6em;
    height: 100%;
    align-items: center;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    position: relative;
    border: 0.4em solid #000000;
    border-radius: 1em;
}
.numberplate .numberplate-wrapper.custom {
    justify-content: center !important;
    padding: 0 0.6em 0 0 !important;
}
.numberplate .numberplate-wrapper.at {
    justify-content: center !important;
}
.numberplate .numberplate-wrapper.lu {
    justify-content: space-evenly !important;
}
.numberplate .numberplate-wrapper.field-transition {
    overflow: hidden;
}
.numberplate .numberplate-wrapper.field-transition .numberplate-field {
    transition:
        border var(--transitionTime) ease,
        box-shadow var(--transitionTime) ease,
        width var(--transitionTime) ease;
}
.numberplate .numberplate-wrapper .numberplate-field {
    flex: 0 0 auto;
    height: 8.2em;
    position: relative;
    width: 10.2em;
}
.numberplate .numberplate-wrapper .numberplate-field.field-parking {
    width: 100%;
}
.numberplate .numberplate-wrapper .numberplate-field.w1 {
    width: 5.95em;
}
.numberplate .numberplate-wrapper .numberplate-field.w2 {
    width: 9.9em;
}
.numberplate .numberplate-wrapper .numberplate-field.w3 {
    width: 13.6em;
}
.numberplate .numberplate-wrapper .numberplate-field.w4 {
    width: 17.85em;
}
.numberplate .numberplate-wrapper .numberplate-field input {
    border-radius: 0.07em;
    color: #000;
    display: block;
    box-sizing: border-box;
    font: 7em/1em 'nummernschild';
    height: 100%;
    text-align: center;
    text-transform: uppercase;
    transition:
        border var(--transitionTime) ease,
        box-shadow var(--transitionTime) ease,
        font var(--transitionTime) ease;
    width: 100%;
    -moz-appearance: textfield;
    background: #eee;
}
.numberplate .numberplate-wrapper .numberplate-field input::placeholder {
    color: #c1c1c1;
    opacity: 1;
}
.numberplate .numberplate-wrapper .numberplate-field input:focus {
    background: #fdf2d0;
    box-shadow: 0 0 0.05em 0.05em #fc0;
    animation: numberplateBlurPulse 1s infinite;
}
.numberplate .numberplate-wrapper .numberplate-field input:focus::placeholder {
    color: #968c6c;
    opacity: 1;
}
@keyframes numberplateBlurPulse {
    0% {
        box-shadow: 0 0 0 0 #fc0;
    }
    50% {
        box-shadow: 0 0 0.05em 0.05em #fc0;
    }
    100% {
        box-shadow: 0 0 0 0 #fc0;
    }
}
.numberplate
    .numberplate-wrapper
    .numberplate-field
    input::-webkit-outer-spin-button,
.numberplate
    .numberplate-wrapper
    .numberplate-field
    input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
.numberplate .numberplate-wrapper .numberplate-field.error input {
    background: #f0dddd;
    box-shadow: none;
    animation: none;
}
.numberplate .numberplate-wrapper .numberplate-field.error input:focus {
    background: #f0dddd;
    box-shadow: 0 0 0.05em 0.05em #d37c7c;
}
.numberplate .numberplate-wrapper .numberplate-field.error input::placeholder {
    color: #d37c7c;
    opacity: 1;
}
.numberplate .numberplate-wrapper .numberplate-field .pointer {
    content: '';
    display: none;
    height: 1.75em;
    position: absolute;
    margin-left: -1.5em;
    top: -1.5em;
    left: 50%;
    width: 3.5em;
    animation: numberplatePointerPulse 1s infinite;
    overflow: hidden;
    z-index: 2000;
}
.numberplate .numberplate-wrapper .numberplate-field .pointer::before {
    background: #ffcc00;
    box-shadow: 0 0 0.4em 0 rgba(0, 0, 0, 0.5);
    content: '';
    display: block;
    height: 2.5em;
    left: 50%;
    position: absolute;
    top: -0.25em;
    transform: translateX(-50%) translateY(-50%) rotate(-45deg);
    width: 2.5em;
}
.numberplate .numberplate-wrapper .numberplate-field .pointer svg {
    height: 2em;
    width: 2em;
}
.numberplate .numberplate-wrapper .numberplate-field .pointer svg polygon {
    fill: #ffcc00;
}
@keyframes numberplatePointerPulse {
    0% {
        top: -1.5em;
    }
    50% {
        top: -2.5em;
    }
    100% {
        top: -1.5em;
    }
}
.numberplate .numberplate-wrapper .numberplate-field input:focus + .pointer {
    display: block;
}
.numberplate .numberplate-wrapper .numberplate-field.error .pointer::before {
    background: #bc0000;
}

@media (max-width: 1500px) {
    .numberplate {
        font-size: 0.7vw;
    }
}
@media (max-width: 1000px) {
    .numberplate {
        font-size: 0.5vw;
    }
}
@media (max-width: 767px) {
    .numberplate {
        font-size: 1.3vw;
    }
}
@media (max-width: 413px) {
    .numberplate {
        font-size: 1.1vw;
    }
}
@media (max-width: 374px) {
    .numberplate {
        font-size: 0.9vw;
    }
}
